<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBusinessOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('business_orders', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('shop_id');
            $table->string('activity_no')->nullable();
            $table->string('activity_title')->nullable();
            $table->bigInteger('after_sales_status')->nullable();
            $table->string('business_note')->nullable();
            $table->string('buyer_memo')->nullable();
            $table->integer('cancel_status')->nullable();
            $table->bigInteger('confirm_at')->nullable();
            $table->bigInteger('discount_amount')->nullable();
            $table->string('help_sell_nickname')->nullable();
            $table->string('inner_transaction_id')->nullable();
            $table->boolean('is_supplier')->nullable();
            $table->integer('logistics_type')->nullable();
            $table->integer('mall_activity_type')->nullable();
            $table->string('nick_name')->nullable();
            $table->bigInteger('order_amount')->nullable();
            $table->string('order_sn')->nullable();
            $table->integer('participate_no')->nullable();
            $table->bigInteger('platform_discount_amount')->nullable();
            $table->string('receiver_address_city')->nullable();
            $table->string('receiver_address_detail')->nullable();
            $table->string('receiver_address_district')->nullable();
            $table->string('receiver_address_province')->nullable();
            $table->string('receiver_mobile')->nullable();
            $table->string('receiver_name')->nullable();
            $table->string('secret_remark')->nullable();
            $table->string('self_pick_site_no')->nullable();
            $table->string('self_pick_up_address')->nullable();
            $table->string('self_pick_up_contact_mobile')->nullable();
            $table->string('self_pick_up_contact_name')->nullable();
            $table->string('self_pick_up_site_name')->nullable();
            $table->bigInteger('service_amount')->nullable();
            $table->bigInteger('shipping_amount')->nullable();
            $table->integer('shipping_status')->nullable();
            $table->string('supply_activity_no')->nullable();
            $table->integer('supply_participate_no')->nullable();
            $table->bigInteger('theoretical_refund_amount')->nullable();
            $table->string('transaction_id')->nullable();
            $table->integer('verification_status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('business_orders');
    }
}
